#include "dcdialog.ch"

#command  @ <nRow> [,<nCol>] DCMONTH                                            ; //DCMONTH
                [TYPE <nType>]                                                  ;
                [SIZE <nWidth> [,<nHeight>]]                                    ;
                [WIDTH <nWidth2>]                                               ;
                [HEIGHT <nHeight2>]                                             ;
                [PARENT <oParent>]                                              ;
                [PARENTID <cPID>]                                               ;
                [OBJECT <ooo>]                                                  ;
                [FONT <cFont>]                                                  ;
                [CARGO <xCargo>]                                                ;
                [CAPTION <xCaption>]                                            ;
                [RESTYPE <cResType>]                                            ;
                [RESFILE <cResFile>]                                            ;
                [PRESENTATION <aPres>]                                          ;
                [<p: PIXEL>] [_PIXEL <_pixel>]                                  ;
                [WHEN <bWhen>]                                                  ;
                [HIDE <bHide>]                                                  ;
                [TOOLTIP <cToolTip>]                                            ;
                [CURSOR <nCursor>]                                              ;
                [EVAL <bEval>]                                                  ;
                [PREEVAL <bPreEval>]                                            ;
                [POSTEVAL <bPostEval>]                                          ;
                [TITLE <cTitle>]                                                ;
                [RELATIVE <oRel>]                                               ;
                [ID <cId>]                                                      ;
                [<lTabStop:TABSTOP>] [_TABSTOP <_tab>]                          ;
                [<lNoTabStop:NOTABSTOP>] [_NOTABSTOP <_notab>]                  ;
                [<lVisible:VISIBLE>] [_VISIBLE <_vis>]                          ;
                [<lInvisible:INVISIBLE>] [INVISIBLE <_invis>]                   ;
                [GROUP <cGroup>]                                                ;
                [CLASS <bcClass>]                                               ;
                [RESIZE <aReSize>  [<sf:SCALEFONT>]]                            ;
                [CONFIG <oConfig>]                                              ;
                [MULTISELECT <ms>]                    /* need when from / to        */ ;
                [NOTODAY <st>]                        /* -> Show = .NOT. (.F.)      */ ;
                [SHOWWEEKNUMBERS <sw>]                /* Week Number on left        */ ;
                [SELSTART <ss>]                       /*  */ ;
                [SELEND <se>]                         /*  */ ;
                [MAXSELCOUNT <maxs>]                  /* max Days when maximize     */ ;
                [DATETIME  <cdt>]                     /*  */ ;
                [DAYOFWEEK <nDate>]                   /* Monday = 0   Sunday = 6    */ ;
                [BOLDDAYS <lbd>]                      /* see Holyday                */ ;
                [SETRANGE <dDate1>, <dDate2>]         /*  */ ;
                [TITLEBARBG <tbg>]                    /*  */ ;
                [TITLEBARFG <tfg>]                    /*  */ ;
                [BODYBG <bbg>]                        /*  */ ;
                [BODYFG <bfg>]                        /*  */ ;
                [ONACTION <bOnItemDblClick>]          /*  */ ;
 =>                                                                             ;
   AADD( DCGUI_GETLIST,DC_GetTemplate(GETLIST_USER,<nType>) )                   ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_CAPTION,<xCaption>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_STARTROW,<nRow>)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_STARTCOL,<nCol>)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_WIDTH,<nWidth>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_HEIGHT,<nHeight>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_WIDTH,<nWidth2>)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_HEIGHT,<nHeight2>)]                ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_FONT,<cFont>)]                     ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_WHEN,<bWhen>)]                     ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_TOOLTIP,<cToolTip>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_CARGO,<xCargo>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_PRESENTATION,<aPres>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_GROUP,                             ;
        DC_GetAnchorCB(@<ooo>,'O'))]                                            ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PARENT,                            ;
        DC_GetAnchorCB(@<oParent>,'O'))]                                        ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PARENT,<cPID>)]                    ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_CURSOR,<nCursor>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_ACTION,<bOnItemDblClick>)]         ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_PIXEL,<.p.>)]                      ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_PIXEL,<_pixel>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_EVAL,<bEval>)]                     ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_TITLE,<cTitle>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_ID,<cId>)]                         ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_HIDE,<bHide>)]                     ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,<.lTabStop.>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,<_tab>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,!<.lNoTabStop.>)]          ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,!<_notab>)]                ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,<.lVisible.>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,<_vis>)]                   ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,!<.lInvisible.>)]          ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,!<_invis>)]                ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_GETGROUP,<cGroup>)]                ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_CLASS,<bcClass>)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PREEVAL,<bPreEval>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_POSTEVAL,<bPostEval>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_RELATIVE,                          ;
         DC_GetAnchorCb(@<oRel>,'O'))]                                          ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_RESIZE,<aReSize>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_RESIZE,<.sf.>,3)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,oGETLIST_CONFIG,<oConfig>)]                 ;
       ;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS,                           ;
         {<ms>,<st>,<sw>,<ss>,<se>,<maxs>,<cdt>,<nDate>,<lbd>,<tbg>,            ; /* each 10 */
          <tfg>,<bbg>,<bfg>} )                                                  ; /* Jimmy */
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS2,{<dDate1>,<dDate2>})]     ; /* Jimmy */
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS3,{<cResType>,<cResFile>})] ; /* Jimmy */
       ;DC_GetListSet(DCGUI_GETLIST,bGETLIST_REFVAR,{|a| DC_DxeMonth(a)})       ; /* Jimmy */
       ;DC_GetListSet(DCGUI_GETLIST,aGETLIST_VARS,                              ;
                     {'DCMONTH',<(ooo)>,<(oParent)>,nil,                        ;
                       #<nRow>,#<nCol>,#<nWidth>,#<nHeight>} )

